- name: Create crest user
  user:
    name: crest
    system: false
    shell: /bin/bash
    create_home: yes
    password_lock: yes

- name: Add crest sudo
  lineinfile:
    path: "/etc/sudoers"
    line: "crest ALL=(ALL) NOPASSWD: ALL"

- name: Copy crest SSHd configuration
  copy:
    src: "{{ role_path }}/files/sshd_config_crest"
    dest: /etc/ssh/sshd_config_crest
- name: Add crest SSHd exception
  lineinfile:
    path: "/etc/ssh/sshd_config"
    line: "Include sshd_config_crest"

- name: Copy crest scripts
  copy:
    src:  "{{ role_path }}/files/{{ item }}"
    dest: "/usr/local/bin/{{ item }}"
    mode: u=rwx,g=rx,o=rx
  loop:
    - set_crest_password.sh
    - prompt_crest_password.sh